#ifndef QBRAINFUCK_H
#define QBRAINFUCK_H

#include <QMainWindow>
#include <QMessageBox>
#include <QFileDialog>
#include <QJsonObject>
#include <QJsonDocument>
#include <QStack>

namespace Ui {
class QBrainfuck;
}

class QBrainfuck : public QMainWindow
{
    Q_OBJECT

public:
    explicit QBrainfuck(QWidget *parent = 0);
    ~QBrainfuck();

private slots:
    void on_encodeButton_clicked();

    void on_decodeButton_clicked();

    void on_motifButton_clicked();

    void on_textTextEdit_textChanged();

    void on_programTextEdit_textChanged();

    void on_motifTextEdit_textChanged();

    void on_regexLineEdit_textChanged(const QString &arg1);

    void on_saveButton_clicked();

    void on_loadButton_clicked();

private:
    Ui::QBrainfuck *ui;

    QString formatNumber(int number);
    void printMemory(QList<unsigned char> memory, int ptr, QString text);
};

#endif // QBRAINFUCK_H
